org.apache.storm.trident.state.map

## Class MapReducerAggStateUpdater

- java.lang.Object
- - org.apache.storm.trident.state.map.MapReducerAggStateUpdater

- All Implemented Interfaces:
    Serializable, Operation, StateUpdater<MapState>

      public class MapReducerAggStateUpdater
      extends Object
      implements StateUpdater<MapState>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `MapReducerAggStateUpdater(ReducerAggregator agg, Fields groupFields, Fields inputFields)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `cleanup()` When running in local mode, called when the local cluster is being shut down.
    `void` | `prepare(Map<String,Object> conf, TridentOperationContext context)` Called when the `Operation` is first initialized.
    `void` | `updateState(MapState map, List<TridentTuple> tuples, TridentCollector collector)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### MapReducerAggStateUpdater

          public MapReducerAggStateUpdater(ReducerAggregator agg,
                                           Fields groupFields,
                                           Fields inputFields)

  - ### Method Detail

    - #### updateState

          public void updateState(MapState map,
                                  List<TridentTuple> tuples,
                                  TridentCollector collector)

      Specified by:
        `updateState` in interface `StateUpdater<MapState>`

    - #### prepare

          public void prepare(Map<String,Object> conf,
                              TridentOperationContext context)

      Description copied from interface: `Operation`

      Called when the `Operation` is first initialized.

      Specified by:
        `prepare` in interface `Operation`
      Parameters:
        `conf` - the Storm configuration map
        `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
      See Also:
        `TridentOperationContext`

    - #### cleanup

          public void cleanup()

      Description copied from interface: `Operation`

      When running in local mode, called when the local cluster is being shut down.

      Specified by:
        `cleanup` in interface `Operation`

Copyright © 2021 The Apache Software Foundation. All rights reserved.